@echo off
rem *******************************************************************************
rem %1 = Destination Path
rem %2 = W9x or WMe or W2K or NT
rem *******************************************************************************

if "%2"=="w9x" goto Win9x
if "%2"=="W9X" goto Win9x
if "%2"=="wme" goto Win9x
if "%2"=="WME" goto Win9x
if "%2"=="w2k" goto Win2K
if "%2"=="W2K" goto Win2K
if "%2"=="xp"  goto WinXP
if "%2"=="XP"  goto WinXP
if "%2"=="nt"  goto WinNT
if "%2"=="NT"  goto WinNT
goto Usage

rem *******************************************************************************
rem 	WIN9X file copies
rem *******************************************************************************

:Win9x
rem *******************************************************************************
rem Run makedisk.bat for Win9x
rem 	This should copy all of the appropriate driver files
rem *******************************************************************************
echo *** Win9x file copy
call ..\makedisk\makedisk  w9x  %1  silent

rem *******************************************************************************
rem Create the directories to put the NMS and PROSet files
rem *******************************************************************************
md %1\nms
md %1\proset
md %1\win95

rem *******************************************************************************
rem Copy MSBATCH.INF and CUSTOM.INF
rem *******************************************************************************
copy win9x\*.inf            %1

rem *******************************************************************************
rem Copy the ANS files
rem *******************************************************************************
copy ..\ansmw98.inf         %1
copy ..\anspw98.inf         %1
copy ..\iansw98.cat         %1
copy ..\iansw98.sys         %1
copy ..\iansndi.dll         %1

rem *******************************************************************************
rem Copy the NDIS2 DOS driver so network connectivity can be re-established if necessary
rem *******************************************************************************
copy ..\dos\e100b.dos       %1

rem *******************************************************************************
rem Copy the NMS files
rem *******************************************************************************
copy ..\nms                 %1\nms

rem *******************************************************************************
rem Copy the PROSet+ and PROSetII files
rem *******************************************************************************
copy ..\proset2             %1\proset
copy ..\proset2\win95       %1\win95

rem *******************************************************************************
rem Copy 9XUPDATE.EXE
rem *******************************************************************************
copy ..\update\winme\*.*  %1

goto end

rem *******************************************************************************
rem 	WIN2K file copies
rem *******************************************************************************
:Win2K
echo *** Win2K file copy

rem *******************************************************************************
rem Create the OEM driver directory structure
rem *******************************************************************************
md %1\$oem$
md %1\$oem$\$$
md %1\$oem$\$$\system32
md %1\$oem$\$1
md %1\$oem$\$1\drivers
md %1\$oem$\$1\drivers\net
md %1\$oem$\$1\drivers\net\e100b

rem *******************************************************************************
rem Create the directories to put the NMS and PROSetII files
rem *******************************************************************************
md %1\$oem$\$1\drivers\net\e100b\nms
md %1\$oem$\$1\drivers\net\e100b\proset2

rem *******************************************************************************
rem Run makedisk.bat for Win2k
rem 	This should copy all of the appropriate driver files
rem *******************************************************************************
call ..\makedisk\makedisk  w2k  %1\$oem$\$1\drivers\net\e100b  silent

rem *******************************************************************************
rem Copy the sample UNATTEND.TXT
rem *******************************************************************************
copy win2k\*.*               %1\$oem$\$1\drivers\net\e100b

rem *******************************************************************************
rem Copy the ANS files
rem *******************************************************************************
copy ..\anspw2k.inf         %1\$oem$\$1\drivers\net\e100b
copy ..\ansmw2k.inf         %1\$oem$\$1\drivers\net\e100b
copy ..\iansw2k.cat         %1\$oem$\$1\drivers\net\e100b
copy ..\iansw2k.sys         %1\$oem$\$1\drivers\net\e100b
copy ..\iansndi.dll         %1\$oem$\$1\drivers\net\e100b

rem *******************************************************************************
rem Copy W2KUPDAT.EXE
rem *******************************************************************************
copy ..\update\win2k\*.*  %1\$oem$\$1\drivers\net\e100b

rem *******************************************************************************
rem Copy the NMS files
rem *******************************************************************************
copy ..\nms                 %1\$oem$\$1\drivers\net\e100b\nms

rem *******************************************************************************
rem Copy the PROSetII files
rem *******************************************************************************
copy ..\proset2             %1\$oem$\$1\drivers\net\e100b\proset2

goto end


rem *******************************************************************************
rem 	WINXP file copies
rem *******************************************************************************
:WinXP
echo *** WinXP file copy

rem *******************************************************************************
rem Create the OEM driver directory structure
rem *******************************************************************************
md %1\$oem$
md %1\$oem$\$$
md %1\$oem$\$$\system32
md %1\$oem$\$1
md %1\$oem$\$1\drivers
md %1\$oem$\$1\drivers\net
md %1\$oem$\$1\drivers\net\e100b

rem *******************************************************************************
rem Create the directories to put the NMS and PROSetII files
rem *******************************************************************************
md %1\$oem$\$1\drivers\net\e100b\nms
md %1\$oem$\$1\drivers\net\e100b\proset2

rem *******************************************************************************
rem Run makedisk.bat for WinXP
rem 	This should copy all of the appropriate driver files
rem *******************************************************************************
call ..\makedisk\makedisk  XP  %1\$oem$\$1\drivers\net\e100b  silent

rem *******************************************************************************
rem Copy the sample UNATTEND.TXT
rem *******************************************************************************
copy XP\*.*               %1\$oem$\$1\drivers\net\e100b

rem *******************************************************************************
rem Copy the ANS files
rem *******************************************************************************
copy ..\anspw2k.inf         %1\$oem$\$1\drivers\net\e100b
copy ..\ansmw2k.inf         %1\$oem$\$1\drivers\net\e100b
copy ..\iansw2k.cat         %1\$oem$\$1\drivers\net\e100b
copy ..\iansw2k.sys         %1\$oem$\$1\drivers\net\e100b
copy ..\iansndi.dll         %1\$oem$\$1\drivers\net\e100b

rem *******************************************************************************
rem Copy W2KUPDAT.EXE
rem *******************************************************************************
copy ..\update\win2k\*.*  %1\$oem$\$1\drivers\net\e100b

rem *******************************************************************************
rem Copy the NMS files
rem *******************************************************************************
copy ..\nms                 %1\$oem$\$1\drivers\net\e100b\nms

rem *******************************************************************************
rem Copy the PROSetII files
rem *******************************************************************************
copy ..\proset2             %1\$oem$\$1\drivers\net\e100b\proset2

goto end

rem *******************************************************************************
rem 	WINNT file copies
rem *******************************************************************************
:WinNT
echo *** WinNT file copy

rem *******************************************************************************
rem Create the OEM driver directory structure
rem *******************************************************************************
md %1\$OEM$
md %1\$OEM$\Net
md %1\$OEM$\Net\E100B

rem *******************************************************************************
rem Run makedisk.bat for WinNT
rem 	This should copy all of the appropriate NT installation files
rem *******************************************************************************
call ..\makedisk\makedisk  nt  %1\$OEM$\Net\E100B  silent

goto end

:Usage
echo.
echo usage rules;
echo pushcopy [Destination Path] [OS]
echo where [destination] is the drive letter and path (such as Z:)
echo       Do not add a trailing backslash (\) to the destination path. 
echo [OS] is the OS family
echo W9X   = Microsoft Windows 95 and Windows 98*
echo WMe   = Microsoft Windows ME*
echo W2K   = Microsoft Windows* 2000
echo NT    = Microsoft Windows NT*
echo XP    = Microsoft Windows XP*
echo.

:end